<div class="animated fadeIn">
    <div class="row d-flex justify-content-center px-3">
        <button class="btn btn-success col-5 col-md-4 col-lg-2 py-3 m-1" (click)="consultarCheques('A')">
            <i class="fas fa-folder-open mr-2"></i>Abiertos
        </button>
        <button class="btn btn-warning col-5 col-md-4 col-lg-2 py-3 m-1" (click)="consultarCheques('C')">
            <i class="fas fa-credit-card mr-2"></i>Cerrados
        </button>
        <button class="btn btn-danger col-5 col-md-4 col-lg-2 py-3 m-1" (click)="consultarCheques('X')">
            <i class="fas fa-ban mr-2"></i>Cancelados
        </button>
        <button class="btn btn-primary col-5 col-md-4 col-lg-2 py-3 m-1" (click)="cerrar()" *ngIf="btnPlano">
            <i class="fas fa-map mr-2"></i>Plano
        </button>
        <button class="btn btn-primary col-5 col-md-4 col-lg-2 py-3 m-1" (click)="cerrar()" *ngIf="!btnPlano">
            <i class="fas fa-times mr-2"></i>Cerrar
        </button>
        <kendo-grid [data]="dataGrid.data" [selectable]="true" [sort]="sort" [navigable]="true" [reorderable]="true"
            [resizable]="true" [sortable]="true" (sortChange)="sortChange($event)" (selectionChange)="selectRow($event)"
            class="m-1 w-100" [filter]="filter" [filterable]="false" (filterChange)="filterChange($event)"
            style="height:63vh;">
            <kendo-grid-column field="cMesa" title="Mesa"></kendo-grid-column>
            <kendo-grid-column field="iCheque" title="Cheque"></kendo-grid-column>
            <kendo-grid-column field="clase" title="Clase" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="Mesero" title="Mesero" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="pper" title="Personas" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="pea" title="E.A." [filterable]="false"></kendo-grid-column>
        </kendo-grid>
    </div>
</div>